#!/bin/sh
#
# Assume that the cross-correlations of each station pair 
# are stored in an individual directory, such as in
# this example.
# 
# This script calls "plot_grpN_ddd_new.cmd" or 
# plot_grpN_ddd_new_inlet_yellow.cmd
# which should be in the present directory.
# 
# USAGE: do_ts_pws0_ug_1.5.cmd
#
# schimmel@ictja.csic.es, 03/12/2017 
#-------------------------------------------------------

dir0=`pwd`
exe=../../ts_pws0_ug_1.5

# remove previous results:
\rm -f  t*in plot.ps ts-pws_spec.txt grp.txt 

ls -1 20*pcc1*Z.sacnegd > list1.in
ls -1 20*pcc1*Z.sacposd >> list1.in

par1="rpro=0.30 wu=2 ugwin=0.01 rmin=0 nugbo=0.2 nbsmp=25 f1=0.005 f2=0.03 tfrn medlim=0.1 dgmax=0.1 allm osac cyc=4 mad gap=0.2 grp1=2.5 grp2=5.5"
$exe list1.in $par1

# plot with GMT:
#===============
# Fig 5 from paper without inlet:
$dir0"/plot_grpN_ddd_new.cmd"
mv -f plot.ps $dir0"/Fig_grpN_ddd.ps"
ps2pdf Fig_grpN_ddd.ps Fig_grpN_ddd.pdf

# Fig 5 from paper:
$dir0"/plot_grpN_ddd_new_inlet_yellow.cmd"
mv -f plot.ps $dir0"/Figure5.ps"
ps2pdf Figure5.ps Figure5.pdf

# And one more:
$dir0"/plot_grpN.cmd"
mv -f plot.ps $dir0"/Fig_grpN.ps"
ps2pdf Fig_grpN.ps Fig_grpN.pdf

exit
